## r-cran-openssl 0.9.6

=== DESCRIPTION ===
Package: openssl
Type: Package
Title: Toolkit for Encryption, Signatures and Certificates Based on
        OpenSSL
Version: 0.9.6
Authors@R: c(
    person("Jeroen", "Ooms", , "jeroen.ooms@stat.ucla.edu", role = c("cre", "aut")),
    person("Oliver", "Keyes", role = "ctb"))
Description: Bindings to OpenSSL libssl and libcrypto, plus custom SSH pubkey parsers.
    Supports RSA, DSA and EC curves P-256, P-384 and P-521. Cryptographic signatures
    can either be created and verified manually or via x509 certificates. AES can be
    used in cbc, ctr or gcm mode for symmetric encryption; RSA for asymmetric (public
    key) encryption or EC for Diffie Hellman. High-level envelope functions combine
    RSA and AES for encrypting arbitrary sized data. Other utilities include key
    generators, hash functions (md5, sha1, sha256, etc), base64 encoder, a secure
    random number generator, and 'bignum' math methods for manually performing
    crypto calculations on large multibyte integers.
License: MIT + file LICENSE
URL: https://github.com/jeroenooms/openssl#readme
BugReports: https://github.com/jeroenooms/openssl/issues
SystemRequirements: OpenSSL >= 1.0.1
VignetteBuilder: knitr
Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose
RoxygenNote: 5.0.1.9000
NeedsCompilation: yes
Packaged: 2016-12-30 21:26:04 UTC; jeroen
Author: Jeroen Ooms [cre, aut],
  Oliver Keyes [ctb]
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Repository: CRAN
Date/Publication: 2016-12-31 01:41:12

## r-cran-openssl 0.9.4

=== debian/changelog ===
r-cran-openssl (0.9.4-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jun 2016 11:48:02 +0200

r-cran-openssl (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: #819008)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Mar 2016 21:32:09 +0100

=== debian/control ===
Source: r-cran-openssl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               libssl-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-openssl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-openssl/trunk/
Homepage: https://cran.r-project.org/web/packages/openssl/

Package: r-cran-openssl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Description: GNU R toolkit for encryption, signatures and certificates based on OpenSSL
 Bindings to OpenSSL libssl and libcrypto, plus custom SSH pubkey
 parsers. Supports RSA, DSA and NIST curves P-256, P-384 and P-521.
 Cryptographic signatures can either be created and verified manually or
 via x509 certificates. AES block cipher is used in CBC mode for
 symmetric encryption; RSA for asymmetric (public key) encryption. High-
 level envelope functions combine RSA and AES for encrypting arbitrary
 sized data. Other utilities include key generators, hash functions (md5,
 sha1, sha256, etc), base64 encoder, a secure random number generator,
 and 'bignum' math methods for manually performing crypto calculations on
 large multibyte integers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/$(cranName)/LICENSE

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/openssl_([-0-9\.]*).tar.gz

## r-cran-openssl 0.9.6

=== debian/changelog ===
r-cran-openssl (0.9.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2017 17:19:50 +0100

r-cran-openssl (0.9.5-1) unstable; urgency=medium

  * New upstream version
    Closes: #828529 
  * Convert to dh-r
  * Canonical CRAN homepage

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2016 13:24:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
                libssl-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-openssl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-openssl/trunk/
-Homepage: https://cran.r-project.org/web/packages/openssl/
+Homepage: https://cran.r-project.org/package=openssl
 
 Package: r-cran-openssl
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R toolkit for encryption, signatures and certificates based on OpenSSL
  Bindings to OpenSSL libssl and libcrypto, plus custom SSH pubkey
  parsers. Supports RSA, DSA and NIST curves P-256, P-384 and P-521.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/openssl_([-0-9\.]*).tar.gz

## r-cran-openssl 1.0.1

=== DESCRIPTION ===
Package: openssl
Type: Package
Title: Toolkit for Encryption, Signatures and Certificates Based on
        OpenSSL
Version: 1.0.1
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289")),
    person("Oliver", "Keyes", role = "ctb"))
Description: Bindings to OpenSSL libssl and libcrypto, plus custom SSH pubkey parsers.
    Supports RSA, DSA and EC curves P-256, P-384 and P-521. Cryptographic signatures
    can either be created and verified manually or via x509 certificates. AES can be
    used in cbc, ctr or gcm mode for symmetric encryption; RSA for asymmetric (public
    key) encryption or EC for Diffie Hellman. High-level envelope functions combine
    RSA and AES for encrypting arbitrary sized data. Other utilities include key
    generators, hash functions (md5, sha1, sha256, etc), base64 encoder, a secure
    random number generator, and 'bignum' math methods for manually performing
    crypto calculations on large multibyte integers.
License: MIT + file LICENSE
URL: https://github.com/jeroen/openssl#readme
BugReports: https://github.com/jeroen/openssl/issues
SystemRequirements: OpenSSL >= 1.0.1
VignetteBuilder: knitr
Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose
RoxygenNote: 6.0.1.9000
NeedsCompilation: yes
Packaged: 2018-03-03 10:51:56 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Oliver Keyes [ctb]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2018-03-03 14:03:23 UTC

=== debian/changelog ===
r-cran-openssl (1.0.1-1ubuntu1.1) bionic; urgency=medium

  * Cherrypick testsuite update for OpenSSL 1.1.1 LP: #1797386

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 11 Dec 2018 16:55:46 +1100

r-cran-openssl (1.0.1-1ubuntu1) bionic; urgency=medium

  * Disable test_google.R requiring network access

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 10 Apr 2018 12:24:20 +0000

r-cran-openssl (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 04 Mar 2018 17:11:29 +0100

r-cran-openssl (0.9.9-1) unstable; urgency=medium

  * Secure URI in watch file
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 11 Nov 2017 16:05:23 +0100

r-cran-openssl (0.9.7-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 17:20:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: r-cran-openssl
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                libssl-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-openssl/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-openssl/trunk/
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-openssl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl
 
 Package: r-cran-openssl

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/openssl_([-0-9\.]*).tar.gz

## r-cran-openssl 1.0.2+dfsg

=== debian/changelog ===
r-cran-openssl (1.0.2+dfsg-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Disable test_google.R requiring network access

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Sep 2018 11:41:36 +0100

r-cran-openssl (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 02 Aug 2018 03:14:18 +0200

r-cran-openssl (1.0.1+dfsg-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Disable test_google.R requiring network access

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 14 Jul 2018 05:52:44 +0000

r-cran-openssl (1.0.1+dfsg-1) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jun 2018 23:06:44 +0200

r-cran-openssl (1.0.1-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: r-cran-openssl
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
@@ -8,16 +8,16 @@
                dh-r,
                r-base-dev,
                libssl-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-openssl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-openssl.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl
 
 Package: r-cran-openssl
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${R:Depends}
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R toolkit for encryption, signatures and certificates based on OpenSSL

## r-cran-openssl 1.2.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 1.0.1
+Version: 1.2.2
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289")),
     person("Oliver", "Keyes", role = "ctb"))
@@ -20,12 +20,14 @@
 BugReports: https://github.com/jeroen/openssl/issues
 SystemRequirements: OpenSSL >= 1.0.1
 VignetteBuilder: knitr
+Imports: askpass
 Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose
-RoxygenNote: 6.0.1.9000
+RoxygenNote: 6.1.1
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2018-03-03 10:51:56 UTC; jeroen
+Packaged: 2019-03-01 09:25:06 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Oliver Keyes [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2018-03-03 14:03:23 UTC
+Date/Publication: 2019-03-01 10:00:03 UTC

=== debian/changelog ===
r-cran-openssl (1.2.2+dfsg-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Disable test_google.R requiring network access

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 06 Mar 2019 09:17:51 +0000

r-cran-openssl (1.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Mar 2019 20:55:06 +0100

r-cran-openssl (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Build-Depends: r-cran-askpass
  * Do not ship mac specific file with unusual interpreter

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 11:18:34 +0100

r-cran-openssl (1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 11:24:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
+               r-cran-askpass,
                libssl-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl

## r-cran-openssl 1.4.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-askpass,
                libssl-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl

## r-cran-openssl 1.4.1+dfsg

=== DESCRIPTION ===
Package: openssl
Type: Package
Title: Toolkit for Encryption, Signatures and Certificates Based on
        OpenSSL
Version: 1.4.1
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289")),
    person("Oliver", "Keyes", role = "ctb"))
Description: Bindings to OpenSSL libssl and libcrypto, plus custom SSH key parsers.
    Supports RSA, DSA and EC curves P-256, P-384, P-521, and curve25519. Cryptographic
    signatures can either be created and verified manually or via x509 certificates. 
    AES can be used in cbc, ctr or gcm mode for symmetric encryption; RSA for asymmetric
    (public key) encryption or EC for Diffie Hellman. High-level envelope functions 
    combine RSA and AES for encrypting arbitrary sized data. Other utilities include key
    generators, hash functions (md5, sha1, sha256, etc), base64 encoder, a secure random
    number generator, and 'bignum' math methods for manually performing crypto 
    calculations on large multibyte integers.
License: MIT + file LICENSE
URL: https://github.com/jeroen/openssl#readme
BugReports: https://github.com/jeroen/openssl/issues
SystemRequirements: OpenSSL >= 1.0.1
VignetteBuilder: knitr
Imports: askpass
Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose, sodium
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2019-07-16 17:55:20 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Oliver Keyes [ctb]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-07-18 06:35:27 UTC

=== debian/changelog ===
r-cran-openssl (1.4.1+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    Closes: #925347

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jan 2020 20:27:25 +0100

r-cran-openssl (1.4.1+dfsg-2) unstable; urgency=medium

  * Test-Depends: r-cran-sodium
    Closes: #934892
  * debhelper-compat 12
  * Set upstream metadata fields: Contact.

 -- Andreas Tille <tille@debian.org>  Sat, 17 Aug 2019 11:27:53 +0200

r-cran-openssl (1.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Jul 2019 16:49:27 +0200

r-cran-openssl (1.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 08:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-openssl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional

## r-cran-openssl 1.4.2+dfsg

=== debian/changelog ===
r-cran-openssl (1.4.2+dfsg-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Disable test_google.R requiring network access

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 28 Aug 2020 13:43:42 +0000

r-cran-openssl (1.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jul 2020 10:23:42 +0200

r-cran-openssl (1.4.1+dfsg-2ubuntu2) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:40:53 +0000

r-cran-openssl (1.4.1+dfsg-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable test_google.R, which requires network access.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 16 Feb 2020 17:26:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: r-cran-openssl
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-askpass,
                libssl-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl
+Rules-Requires-Root: no
 
 Package: r-cran-openssl
 Architecture: any

## r-cran-openssl 1.4.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 1.4.1
+Version: 1.4.3
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289")),
     person("Oliver", "Keyes", role = "ctb"))
@@ -21,13 +21,14 @@
 SystemRequirements: OpenSSL >= 1.0.1
 VignetteBuilder: knitr
 Imports: askpass
-Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose, sodium
-RoxygenNote: 6.1.1
+Suggests: testthat (>= 2.1.0), digest, knitr, rmarkdown, jsonlite,
+        jose, sodium
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-07-16 17:55:20 UTC; jeroen
+Packaged: 2020-09-18 10:34:40 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Oliver Keyes [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2019-07-18 06:35:27 UTC
+Date/Publication: 2020-09-18 12:00:02 UTC

=== debian/changelog ===
r-cran-openssl (1.4.3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Disable test_google.R that often times out

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Feb 2021 08:35:44 +0000

r-cran-openssl (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2020 11:01:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-openssl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-sodium
Restrictions: allow-stderr

## r-cran-openssl 1.4.6+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 1.4.3
+Version: 1.4.6
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289")),
     person("Oliver", "Keyes", role = "ctb"))
@@ -16,7 +16,7 @@
     number generator, and 'bignum' math methods for manually performing crypto 
     calculations on large multibyte integers.
 License: MIT + file LICENSE
-URL: https://github.com/jeroen/openssl#readme
+URL: https://github.com/jeroen/openssl
 BugReports: https://github.com/jeroen/openssl/issues
 SystemRequirements: OpenSSL >= 1.0.1
 VignetteBuilder: knitr
@@ -26,9 +26,9 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-09-18 10:34:40 UTC; jeroen
+Packaged: 2021-12-18 13:12:46 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Oliver Keyes [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-09-18 12:00:02 UTC
+Date/Publication: 2021-12-19 03:30:02 UTC

=== debian/changelog ===
r-cran-openssl (1.4.6+dfsg-1ubuntu1) jammy; urgency=medium

  * Fix autopgk-test failures (LP: #196630)
    The error message for read_key() with NULL password has changed.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 28 Mar 2022 10:13:41 +0200

r-cran-openssl (1.4.6+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.4.6+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Jan 2022 15:16:23 +0530

r-cran-openssl (1.4.5+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 17:05:24 +0200

r-cran-openssl (1.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 09:43:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-openssl
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSCB-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -9,7 +10,7 @@
                r-base-dev,
                r-cran-askpass,
                libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl

## r-cran-openssl 2.0.2+dfsg

=== debian/changelog ===
r-cran-openssl (2.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.2+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 09:43:25 +0530

r-cran-openssl (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 May 2022 11:57:48 +0200

r-cran-openssl (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 07:21:41 +0100

## r-cran-openssl 2.0.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 1.4.6
+Version: 2.0.5
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289")),
     person("Oliver", "Keyes", role = "ctb"))
@@ -18,17 +18,17 @@
 License: MIT + file LICENSE
 URL: https://github.com/jeroen/openssl
 BugReports: https://github.com/jeroen/openssl/issues
-SystemRequirements: OpenSSL >= 1.0.1
+SystemRequirements: OpenSSL >= 1.0.2
 VignetteBuilder: knitr
 Imports: askpass
-Suggests: testthat (>= 2.1.0), digest, knitr, rmarkdown, jsonlite,
-        jose, sodium
-RoxygenNote: 7.1.1
+Suggests: curl, testthat (>= 2.1.0), digest, knitr, rmarkdown,
+        jsonlite, jose, sodium
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2021-12-18 13:12:46 UTC; jeroen
+Packaged: 2022-12-05 23:28:02 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Oliver Keyes [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-12-19 03:30:02 UTC
+Date/Publication: 2022-12-06 01:10:02 UTC

=== debian/changelog ===
r-cran-openssl (2.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2022 11:40:15 +0100

r-cran-openssl (2.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 25 Oct 2022 09:54:07 +0200

r-cran-openssl (2.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 18 Sep 2022 19:19:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: r-cran-openssl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSCB-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Section: gnu-r
+Priority: optional
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
+Homepage: https://cran.r-project.org/package=openssl
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-askpass,
                libssl-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
-Homepage: https://cran.r-project.org/package=openssl
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-openssl
 Architecture: any

## r-cran-openssl 2.0.6+dfsg

=== debian/changelog ===
r-cran-openssl (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 11:40:37 +0200

## r-cran-openssl 2.1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 2.0.5
+Version: 2.1.1
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289")),
     person("Oliver", "Keyes", role = "ctb"))
@@ -16,19 +16,19 @@
     number generator, and 'bignum' math methods for manually performing crypto 
     calculations on large multibyte integers.
 License: MIT + file LICENSE
-URL: https://github.com/jeroen/openssl
+URL: https://jeroen.r-universe.dev/openssl
 BugReports: https://github.com/jeroen/openssl/issues
 SystemRequirements: OpenSSL >= 1.0.2
 VignetteBuilder: knitr
 Imports: askpass
 Suggests: curl, testthat (>= 2.1.0), digest, knitr, rmarkdown,
         jsonlite, jose, sodium
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-12-05 23:28:02 UTC; jeroen
+Packaged: 2023-09-25 17:30:46 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Oliver Keyes [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-12-06 01:10:02 UTC
+Date/Publication: 2023-09-25 19:10:02 UTC

=== debian/changelog ===
r-cran-openssl (2.1.1+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:32:51 +1100

r-cran-openssl (2.1.1+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:10:11 +0000

r-cran-openssl (2.1.1+dfsg-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1046953

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2023 11:54:37 +0100

r-cran-openssl (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Oct 2023 08:05:13 +0200

r-cran-openssl (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2023 21:27:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: r-cran-openssl
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-openssl 2.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 2.1.1
+Version: 2.2.0
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289")),
     person("Oliver", "Keyes", role = "ctb"))
@@ -26,9 +26,9 @@
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-09-25 17:30:46 UTC; jeroen
+Packaged: 2024-05-16 15:50:21 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Oliver Keyes [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2023-09-25 19:10:02 UTC
+Date/Publication: 2024-05-16 17:00:02 UTC

=== debian/changelog ===
r-cran-openssl (2.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 22 Jul 2024 07:38:26 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-openssl
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-openssl 2.3.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Toolkit for Encryption, Signatures and Certificates Based on
         OpenSSL
-Version: 2.2.0
-Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+Version: 2.3.2
+Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
     comment = c(ORCID = "0000-0002-4035-0289")),
     person("Oliver", "Keyes", role = "ctb"))
 Description: Bindings to OpenSSL libssl and libcrypto, plus custom SSH key parsers.
@@ -23,12 +23,12 @@
 Imports: askpass
 Suggests: curl, testthat (>= 2.1.0), digest, knitr, rmarkdown,
         jsonlite, jose, sodium
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2024-05-16 15:50:21 UTC; jeroen
+Packaged: 2025-02-03 10:27:29 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Oliver Keyes [ctb]
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-05-16 17:00:02 UTC
+Date/Publication: 2025-02-03 14:20:02 UTC

=== debian/changelog ===
r-cran-openssl (2.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Mar 2025 11:55:39 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
 Homepage: https://cran.r-project.org/package=openssl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-curl,
        r-cran-testthat (>= 2.1.0),
        r-cran-digest,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-jsonlite,
        r-cran-sodium
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/openssl_([-0-9\.]*).tar.gz

## r-cran-openssl 2.3.4+dfsg

=== debian/changelog ===
r-cran-openssl (2.3.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 10:12:44 +0900

=== debian/control ===
Source: r-cran-openssl
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-askpass,
 libssl-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-openssl
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-openssl.git
Homepage: https://cran.r-project.org/package=openssl
Rules-Requires-Root: no

Package: r-cran-openssl
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R toolkit for encryption, signatures and certificates based on OpenSSL
 Bindings to OpenSSL libssl and libcrypto, plus custom SSH pubkey
 parsers. Supports RSA, DSA and NIST curves P-256, P-384 and P-521.
 Cryptographic signatures can either be created and verified manually or
 via x509 certificates. AES block cipher is used in CBC mode for
 symmetric encryption; RSA for asymmetric (public key) encryption. High-
 level envelope functions combine RSA and AES for encrypting arbitrary
 sized data. Other utilities include key generators, hash functions (md5,
 sha1, sha256, etc), base64 encoder, a secure random number generator,
 and 'bignum' math methods for manually performing crypto calculations on
 large multibyte integers.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-curl,
 r-cran-testthat (>= 2.1.0),
 r-cran-digest,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-jsonlite,
 r-cran-sodium,
